Bug 114218

Summary: Pixel tests in SVG are all broken in WK2
Product: WebKit Reporter: Simon Fraser (smfr) <simon.fraser>
Component: Tools / TestsAssignee: Simon Fraser (smfr) <simon.fraser>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, dino, gyuyoung.kim, philn, rakuco, simon.fraser, thorton, xan.lopez
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch for EWS
none
Patch for EWS
none
Patch for EWS again
none
Patch none

Description Simon Fraser (smfr) 2013-04-08 14:46:29 PDT
Pixel tests in SVG with WebKitTestRunner all fail:

age is 800x600, reference image is 480x360
[208/774] svg/W3C-SVG-1.1/color-prop-01-b.svg failed unexpectedly (image diff)
  svg/W3C-SVG-1.1/styling-css-04-f.svg : ImageDiff produced stderr output:
Error: test and reference images have different sizes. Test image is 800x600, reference image is 480x360
[209/774] svg/W3C-SVG-1.1/styling-css-04-f.svg failed unexpectedly (image diff)
  svg/W3C-SVG-1.1/text-intro-01-t.svg : ImageDiff produced stderr output:
Error: test and reference images have different sizes. Test image is 800x600, reference image is 480x360
[210/774] svg/W3C-SVG-1.1/text-intro-01-t.svg failed unexpectedly (image diff)
  svg/W3C-SVG-1.1/animate-elem-04-t.svg : ImageDiff produced stderr output:
Error: test and reference images have different sizes. Test image is 800x600, reference image is 480x360
[211/774] svg/W3C-SVG-1.1/animate-elem-04-t.svg failed un
...
Comment 1 Simon Fraser (smfr) 2013-04-08 18:00:16 PDT
Created attachment 196977 [details]
Patch
Comment 2 Darin Adler 2013-04-08 18:15:01 PDT
Comment on attachment 196977 [details]
Patch

Looks like this doesn’t build for GTK. Please fix that before landing.
Comment 3 EFL EWS Bot 2013-04-08 18:22:06 PDT
Comment on attachment 196977 [details]
Patch

Attachment 196977 [details] did not pass efl-ews (efl):
Output: http://webkit-commit-queue.appspot.com/results/17680002
Comment 4 Alexey Proskuryakov 2013-04-08 19:16:40 PDT
Comment on attachment 196977 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=196977&action=review

> Tools/WebKitTestRunner/TestInvocation.cpp:314
> -    if (m_dumpPixels && m_pixelResult)
> +    if (m_dumpPixels /* && m_pixelResult */)

Is this meant to be so?
Comment 5 Simon Fraser (smfr) 2013-04-08 19:46:52 PDT
(In reply to comment #4)
> (From update of attachment 196977 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=196977&action=review
> 
> > Tools/WebKitTestRunner/TestInvocation.cpp:314
> > -    if (m_dumpPixels && m_pixelResult)
> > +    if (m_dumpPixels /* && m_pixelResult */)
> 
> Is this meant to be so?

Indeed no, was testing. Won't commit that part.
Comment 6 Simon Fraser (smfr) 2013-04-09 14:38:37 PDT
Created attachment 197178 [details]
Patch for EWS
Comment 7 EFL EWS Bot 2013-04-09 14:43:55 PDT
Comment on attachment 197178 [details]
Patch for EWS

Attachment 197178 [details] did not pass efl-ews (efl):
Output: http://webkit-commit-queue.appspot.com/results/17648019
Comment 8 Simon Fraser (smfr) 2013-04-09 15:03:08 PDT
Created attachment 197181 [details]
Patch for EWS
Comment 9 Build Bot 2013-04-09 19:39:13 PDT
Comment on attachment 197181 [details]
Patch for EWS

Attachment 197181 [details] did not pass win-ews (win):
Output: http://webkit-commit-queue.appspot.com/results/17723028
Comment 10 Simon Fraser (smfr) 2013-04-24 14:07:00 PDT
Created attachment 199512 [details]
Patch for EWS again
Comment 11 Build Bot 2013-04-24 14:32:08 PDT
Comment on attachment 199512 [details]
Patch for EWS again

Attachment 199512 [details] did not pass win-ews (win):
Output: http://webkit-queues.appspot.com/results/186576
Comment 12 Simon Fraser (smfr) 2013-04-24 14:37:51 PDT
Created attachment 199517 [details]
Patch
Comment 13 Simon Fraser (smfr) 2013-04-24 18:28:04 PDT
Comment on attachment 199517 [details]
Patch

Moving darin's r+ forward
Comment 14 WebKit Commit Bot 2013-04-24 19:07:21 PDT
The commit-queue encountered the following flaky tests while processing attachment 199517 [details]:

platform/mac/editing/deleting/deletionUI-single-instance.html bug 114181 (author: rniwa@webkit.org)
transitions/color-transition-rounding.html bug 114182 (author: simon.fraser@apple.com)
transitions/cubic-bezier-overflow-svg-length.html bug 114183 (author: peter@chromium.org)
transitions/interrupt-zero-duration.html bug 114184 (authors: cmarrin@apple.com, rniwa@webkit.org, and simon.fraser@apple.com)
transitions/multiple-background-transitions.html bug 114185 (author: simon.fraser@apple.com)
transitions/cubic-bezier-overflow-color.html bug 114186 (author: peter@chromium.org)
transitions/multiple-shadow-transitions.html bug 114187 (author: simon.fraser@apple.com)
transitions/mismatched-shadow-transitions.html bug 114188 (author: simon.fraser@apple.com)
transitions/color-transition-all.html bug 114189 (authors: ossy@webkit.org and simon.fraser@apple.com)
transitions/cubic-bezier-overflow-shadow.html bug 114191 (author: peter@chromium.org)
transitions/min-max-width-height-transitions.html bug 114192 (author: simon.fraser@apple.com)
transitions/cancel-transition.html bug 114193 (authors: ojan@chromium.org, rniwa@webkit.org, and simon.fraser@apple.com)
transitions/border-radius-transition.html bug 114194 (author: simon.fraser@apple.com)
transitions/flex-transitions.html bug 114195 (author: tony@chromium.org)
transitions/mixed-type.html bug 114196 (author: mikelawther@chromium.org)
transitions/multiple-mask-transitions.html bug 114197 (author: simon.fraser@apple.com)
transitions/color-transition-premultiplied.html bug 114198 (author: simon.fraser@apple.com)
transitions/mismatched-shadow-styles.html bug 114199 (author: simon.fraser@apple.com)
transitions/mask-transitions.html bug 114200 (authors: ojan@chromium.org, oliver@apple.com, and simon.fraser@apple.com)
transitions/cubic-bezier-overflow-length.html bug 114201 (author: peter@chromium.org)
transitions/multiple-background-size-transitions.html bug 114202 (authors: mitz@webkit.org and simon.fraser@apple.com)
transitions/clip-transition.html bug 114203 (authors: dglazkov@chromium.org and simon.fraser@apple.com)
transitions/cubic-bezier-overflow-transform.html bug 114204 (author: peter@chromium.org)
transitions/interrupted-accelerated-transition.html bug 56242 (authors: rniwa@webkit.org, simon.fraser@apple.com, and tonyg@chromium.org)
transitions/background-transitions.html bug 114206 (author: simon.fraser@apple.com)
http/tests/security/cookies/third-party-cookie-blocking-user-action.html bug 114511 (authors: ap@webkit.org, jochen@chromium.org, and rniwa@webkit.org)
http/tests/security/mixedContent/redirect-https-to-http-iframe-in-main-frame.html bug 114208 (authors: abarth@webkit.org and rniwa@webkit.org)
fast/loader/javascript-url-in-object.html bug 114210 (authors: rniwa@webkit.org and sam@webkit.org)
svg/animations/smil-leak-elements.svg bug 114280 (authors: fmalita@chromium.org and timothy_horton@apple.com)
svg/animations/smil-leak-dynamically-added-element-instances.svg bug 114281 (authors: fmalita@chromium.org and timothy_horton@apple.com)
The commit-queue is continuing to process your patch.
Comment 15 WebKit Commit Bot 2013-04-24 19:08:16 PDT
Comment on attachment 199517 [details]
Patch

Clearing flags on attachment: 199517

Committed r149087: <http://trac.webkit.org/changeset/149087>
Comment 16 WebKit Commit Bot 2013-04-24 19:08:21 PDT
All reviewed patches have been landed.  Closing bug.